searchNodes=[{"doc":"Documentation for LogVol , a wrapper around Elixir's native Logger with global volume control.","ref":"LogVol.html","title":"LogVol","type":"module"},{"doc":"Configures the underlying Elixir Logger . This is a wrapper for Logger.configure/1 and therefore takes the same options found in the docs here .","ref":"LogVol.html#configure/1","title":"LogVol.configure/1","type":"function"},{"doc":"Logs the debug message at the currently set volume. If a message is not specified at a volume, nothing will be displayed if debug is called at that volume. Usage For convenience, debug/1 can be given a string to log at :normal volume or a keyword list of strings to log at any volume. debug/2 takes a string to log at :normal volume and a keyword list of strings to log at other volumes. Examples iex&gt; LogVol . volume :normal iex&gt; LogVol . debug ( &quot;normal msg&quot; ) timestamp [ debug ] normal msg :ok iex&gt; LogVol . set :verbose :ok iex&gt; LogVol . debug ( &quot;normal msg&quot; , verbose : &quot;verbose msg&quot; ) timestamp [ debug ] verbose msg :ok iex&gt; LogVol . debug ( verbose : &quot;verbose msg&quot; ) timestamp [ debug ] verbose msg :ok iex&gt; LogVol . debug ( very_verbose : &quot;very verbose msg&quot; ) :noop iex&gt; LogVol . debug ( &quot;normal msg&quot; ) :noop","ref":"LogVol.html#debug/1","title":"LogVol.debug/1","type":"function"},{"doc":"See docs for debug/1.","ref":"LogVol.html#debug/2","title":"LogVol.debug/2","type":"function"},{"doc":"Logs the error message at the currently set volume. If a message is not specified at a volume, nothing will be displayed if error is called at that volume. Usage For convenience, error/1 can be given a string to log at :normal volume or a keyword list of strings to log at any volume. error/2 takes a string to log at :normal volume and a keyword list of strings to log at other volumes. Examples iex&gt; LogVol . volume :normal iex&gt; LogVol . error ( &quot;normal msg&quot; ) timestamp [ error ] normal msg :ok iex&gt; LogVol . set :verbose :ok iex&gt; LogVol . error ( &quot;normal msg&quot; , verbose : &quot;verbose msg&quot; ) timestamp [ error ] verbose msg :ok iex&gt; LogVol . error ( verbose : &quot;verbose msg&quot; ) timestamp [ error ] verbose msg :ok iex&gt; LogVol . error ( very_verbose : &quot;very verbose msg&quot; ) :noop iex&gt; LogVol . error ( &quot;normal msg&quot; ) :noop","ref":"LogVol.html#error/1","title":"LogVol.error/1","type":"function"},{"doc":"See docs for error/1.","ref":"LogVol.html#error/2","title":"LogVol.error/2","type":"function"},{"doc":"Logs the info message at the currently set volume. If a message is not specified at a volume, nothing will be displayed if info is called at that volume. Usage For convenience, info/1 can be given a string to log at :normal volume or a keyword list of strings to log at any volume. info/2 takes a string to log at :normal volume and a keyword list of strings to log at other volumes. Examples iex&gt; LogVol . volume :normal iex&gt; LogVol . info ( &quot;normal msg&quot; ) timestamp [ info ] normal msg :ok iex&gt; LogVol . set :verbose :ok iex&gt; LogVol . info ( &quot;normal msg&quot; , verbose : &quot;verbose msg&quot; ) timestamp [ info ] verbose msg :ok iex&gt; LogVol . info ( verbose : &quot;verbose msg&quot; ) timestamp [ info ] verbose msg :ok iex&gt; LogVol . info ( quiet : &quot;quiet msg&quot; ) :noop iex&gt; LogVol . info ( &quot;normal msg&quot; ) :noop","ref":"LogVol.html#info/1","title":"LogVol.info/1","type":"function"},{"doc":"See docs for info/1.","ref":"LogVol.html#info/2","title":"LogVol.info/2","type":"function"},{"doc":"Logs the given messages at the given level, where level is an atom from the following list of supported log levels: debug info warn error Examples iex&gt; LogVol . volume :normal iex&gt; LogVol . log ( :debug , normal : &quot;normal msg&quot; ) # same as LogVol.debug(&quot;normal msg&quot;) timestamp [ debug ] normal msg :ok iex&gt; LogVol . log ( :error , quiet : &quot;quiet msg&quot; , verbose : &quot;verbose msg&quot; ) :noop","ref":"LogVol.html#log/2","title":"LogVol.log/2","type":"function"},{"doc":"Sets the logging volume for the application. There are 5 supported log volumes: :very_verbose :verbose :normal :quiet :silent # all logs will be suppressed Returns :ok if successful or returns {:error, reason} .","ref":"LogVol.html#set/1","title":"LogVol.set/1","type":"function"},{"doc":"Same as set/1 except raises if unsuccessful.","ref":"LogVol.html#set!/1","title":"LogVol.set!/1","type":"function"},{"doc":"Sets the logging level for the application. Attempting to log any message with severity less than the given level will cause the message to be ignored. This is a convenience for LogVol.configure(level: some_level) . Usage Whereas configure/1 supports all the options of Logger.configure/1 , this function only accepts LogVol's supported levels along with: :all - all messages will be logged , conceptually identical to :debug :none - no messages will be logged at all See configure/1 for more details on runtime configuration. Returns :ok if successful or {:error, reason} if unsuccessful.","ref":"LogVol.html#set_level/1","title":"LogVol.set_level/1","type":"function"},{"doc":"Same as set_level/1 except raises if unsuccessful.","ref":"LogVol.html#set_level!/1","title":"LogVol.set_level!/1","type":"function"},{"doc":"Returns the currently set logging volume for the application. Examples iex&gt; LogVol . volume :normal","ref":"LogVol.html#volume/0","title":"LogVol.volume/0","type":"function"},{"doc":"Logs the warn message at the currently set volume. If a message is not specified at a volume, nothing will be displayed if warn is called at that volume. Usage For convenience, warn/1 can be given a string to log at :normal volume or a keyword list of strings to log at any volume. warn/2 takes a string to log at :normal volume and a keyword list of strings to log at other volumes. Examples iex&gt; LogVol . volume :normal iex&gt; LogVol . warn ( &quot;normal msg&quot; ) timestamp [ warn ] normal msg :ok iex&gt; LogVol . set :verbose :ok iex&gt; LogVol . warn ( &quot;normal msg&quot; , verbose : &quot;verbose msg&quot; ) timestamp [ warn ] verbose msg :ok iex&gt; LogVol . warn ( verbose : &quot;verbose msg&quot; ) timestamp [ warn ] verbose msg :ok iex&gt; LogVol . warn ( very_verbose : &quot;very verbose msg&quot; ) :noop iex&gt; LogVol . warn ( &quot;normal msg&quot; ) :noop","ref":"LogVol.html#warn/1","title":"LogVol.warn/1","type":"function"},{"doc":"See docs for warn/1.","ref":"LogVol.html#warn/2","title":"LogVol.warn/2","type":"function"},{"doc":"TODO Formatter for LogVol logger.","ref":"LogVol.Formatter.html","title":"LogVol.Formatter","type":"module"},{"doc":"","ref":"LogVol.Formatter.html#format/4","title":"LogVol.Formatter.format/4","type":"function"}]